shells/rssh - The NetBSD Packages Collection

Restricted shell allowing only scp and/or sftp

Rssh is a restricted shell for use with OpenSSH, allowing only scp
and/or sftp. For example, if you have a server which you only want
to allow users to copy files off of via scp, without providing
shell access, you can use rssh to do that.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 8.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 8.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 8.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 8.0i386rssh-2.3.4nb2.tgz
NetBSD 8.0i386rssh-2.3.4nb2.tgz
NetBSD 8.0i386rssh-2.3.4nb2.tgz
NetBSD 8.0powerpcrssh-2.3.4nb2.tgz
NetBSD 8.0powerpcrssh-2.3.4nb2.tgz
NetBSD 8.0powerpcrssh-2.3.4nb2.tgz
NetBSD 8.0x86_64rssh-2.3.4nb2.tgz
NetBSD 8.0x86_64rssh-2.3.4nb2.tgz
NetBSD 8.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0aarch64rssh-2.3.4nb2.tgz
NetBSD 9.0aarch64rssh-2.3.4nb2.tgz
NetBSD 9.0aarch64rssh-2.3.4nb2.tgz
NetBSD 9.0aarch64rssh-2.3.4nb2.tgz
NetBSD 9.0alpharssh-2.3.4nb2.tgz
NetBSD 9.0alpharssh-2.3.4nb2.tgz
NetBSD 9.0alpharssh-2.3.4nb2.tgz
NetBSD 9.0earmv6hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv6hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv6hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv6hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv6hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 9.0earmv7hfrssh-2.3.4nb2.tgz
NetBSD 9.0i386rssh-2.3.4nb2.tgz
NetBSD 9.0i386rssh-2.3.4nb2.tgz
NetBSD 9.0i386rssh-2.3.4nb2.tgz
NetBSD 9.0mips64ebrssh-2.3.4nb2.tgz
NetBSD 9.0mips64ebrssh-2.3.4nb2.tgz
NetBSD 9.0mips64ebrssh-2.3.4nb2.tgz
NetBSD 9.0powerpcrssh-2.3.4nb2.tgz
NetBSD 9.0powerpcrssh-2.3.4nb2.tgz
NetBSD 9.0powerpcrssh-2.3.4nb2.tgz
NetBSD 9.0sparc64rssh-2.3.4nb2.tgz
NetBSD 9.0sparc64rssh-2.3.4nb2.tgz
NetBSD 9.0sparc64rssh-2.3.4nb2.tgz
NetBSD 9.0sparc64rssh-2.3.4nb2.tgz
NetBSD 9.0sparcrssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz
NetBSD 9.0x86_64rssh-2.3.4nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.